VERSION 5.00
Begin VB.UserControl ThumbMe 
   AutoRedraw      =   -1  'True
   ClientHeight    =   495
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   480
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   InvisibleAtRuntime=   -1  'True
   ScaleHeight     =   33
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   32
   ToolboxBitmap   =   "ThumbMe.ctx":0000
   Begin VB.CommandButton Command1 
      Height          =   495
      Left            =   0
      Picture         =   "ThumbMe.ctx":0312
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   0
      Width           =   495
   End
   Begin VB.Image Image1 
      Height          =   495
      Index           =   0
      Left            =   0
      Stretch         =   -1  'True
      Top             =   0
      Width           =   495
   End
End
Attribute VB_Name = "ThumbMe"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'Default Property Values:
Const m_def_Pcount = 0
Const m_def_Pcurrent = 0
'Property Variables:
Dim m_Pcount As Long
Dim m_Pcurrent As Long
Dim m_Ppicture As Picture


Public Property Get Pcount() As Long
    Pcount = m_Pcount
End Property

Public Property Let Pcount(ByVal New_Pcount As Long)
    m_Pcount = New_Pcount
    PropertyChanged "Pcount"
End Property

Public Property Get Pcurrent() As Long
    Pcurrent = m_Pcurrent
End Property

Public Property Let Pcurrent(ByVal New_Pcurrent As Long)
    m_Pcurrent = New_Pcurrent
    PropertyChanged "Pcurrent"
    Set Ppicture = Image1(m_Pcurrent).Picture
End Property

Public Property Get Ppicture() As Picture
    Set Ppicture = m_Ppicture
End Property

Public Property Set Ppicture(ByVal New_Ppicture As Picture)
    Set m_Ppicture = New_Ppicture
    PropertyChanged "Ppicture"
End Property

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_Pcount = m_def_Pcount
    m_Pcurrent = m_def_Pcurrent
    Set m_Ppicture = LoadPicture("")
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

    m_Pcount = PropBag.ReadProperty("Pcount", m_def_Pcount)
    m_Pcurrent = PropBag.ReadProperty("Pcurrent", m_def_Pcurrent)
    Set m_Ppicture = PropBag.ReadProperty("Ppicture", Nothing)
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

    Call PropBag.WriteProperty("Pcount", m_Pcount, m_def_Pcount)
    Call PropBag.WriteProperty("Pcurrent", m_Pcurrent, m_def_Pcurrent)
    Call PropBag.WriteProperty("Ppicture", m_Ppicture, Nothing)
End Sub

Public Function ThmbLoad()
Dim x
x = m_Pcount
x = x + 1
Load Image1(x)
Set Image1(x).Picture = m_Ppicture
m_Pcount = x
Pcount = x
m_Pcurrent = x
Pcurrent = x
End Function
Public Function thmbClear()
Dim x
For x = Pcount To 1 Step -1
  Unload Image1(x)
Next x
Pcount = m_def_Pcount
Pcurrent = m_def_Pcurrent
m_Pcount = m_def_Pcount
m_Pcurrent = m_def_Pcurrent
End Function
